# class KProcessController | Used internally by KProcess. More...
Internal Use Only
Definition | `#include <kprocctrl.h>`
Inherits | QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KProcessController ()
- ~KProcessController ()

#### Public Slots

- void slotDoHousekeeping (int socket)

#### Public Members

- QList<KProcess> *processList
- static KProcessController *theKProcessController

## Detailed Description

A class for internal use by KProcess only. -- Exactly one instance of this class is generated by the first instance of KProcess that is created (a pointer to it gets stored in theKProcessController ).

This class takes care of the actual (UN*X) signal handling.

KProcessController () | ### KProcessController

~KProcessController () | ### ~KProcessController

QList<KProcess> * processList | ### processList

void slotDoHousekeeping (int socket) | ### slotDoHousekeeping

[slot]

static KProcessController * theKProcessController | ### theKProcessController

- Author: Christian Czezakte <e9025461@student.tuwien.ac.at>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:13 2001, using kdoc 2.0a53.